import { defHttp } from '@/utils/http/axios';
enum Api {
  // 获取地图标注列表
  GetAnnotationList = '/api/Manage/GetAnnotationList',
  // 添加地图标注
  AddAnnotation = '/api/Manage/AddAnnotation',
  // 更新地图标注
  UpdateAnnotation = '/api/Manage/UpdateAnnotation',
  // 删除地图标注
  DeleteAnnotation = '/api/Manage/DeleteAnnotation',

  // 获取地图作业区域列表
  GetWorkAreaList = '/api/Manage/GetWorkAreaList',
  // 添加地图作业区域
  AddWorkArea = '/api/Manage/AddWorkArea',
  // 更新地图作业区域
  UpdateWorkArea = '/api/Manage/UpdateWorkArea',
  // 删除地图作业区域
  DeleteWorkArea = '/api/Manage/DeleteWorkArea',
}

// 获取地图标注列表
export function GetAnnotationList(params) {
  return defHttp.get({
    url: Api.GetAnnotationList,
    params
  });
}
// 添加地图标注
export function AddAnnotation(params) {
  return defHttp.post({
    url: Api.AddAnnotation,
    data:params
  });
}
// 更新地图标注
export function UpdateAnnotation(params) {
  return defHttp.post({
    url: Api.UpdateAnnotation,
    data:params
  });
}
// 删除地图标注
export function DeleteAnnotation(params) {
  return defHttp.post({
    url: Api.DeleteAnnotation + '?id=' + params.id,
    data:params
  });
}

// 获取地图作业区域列表
export function GetWorkAreaList(params) {
  return defHttp.get({
    url: Api.GetWorkAreaList,
    params
  });
}
// 添加地图作业区域
export function AddWorkArea(params) {
  return defHttp.post({
    url: Api.AddWorkArea,
    data:params
  });
}
// 更新地图作业区域
export function UpdateWorkArea(params) {
  return defHttp.post({
      url: Api.UpdateWorkArea,
      data:params
  });
}
// 删除地图作业区域
export function DeleteWorkArea(params) {
  return defHttp.post({
      url: Api.DeleteWorkArea + '?id=' + params.id,
      data:params
  });
}
